package com.isu.gaswellwatch.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 设备对象 Device
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Device extends Model<Device> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 设备类型
     */
    private Long deviceType;

    /**
     * 设备编号
     */
    private String code;

    /**
     * 集气站
     */
    private String gasStation;

    /**
     * 设备品牌
     */
    private Long product;

    /**
     * 网关通讯地址
     */
    private String gatewaySn;

    /**
     * 描述
     */
    private String details;

    /**
     * 所属气井
     */
    private Long gasWell;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;


}
