package com.isu.gaswellwatch.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.isu.gaswellwatch.dto.MenuDTO;
import com.isu.gaswellwatch.dto.MenuEditDTO;
import com.isu.gaswellwatch.dto.MenuSortDTO;
import com.isu.gaswellwatch.entity.Menu;
import com.isu.gaswellwatch.vo.MenuListVO;
import com.isu.gaswellwatch.vo.MenuTreeVO;

import java.util.List;

public interface MenuService extends IService<Menu> {

    List<MenuTreeVO> getMenuTreeByRoleId(Long roleId);
    List<MenuListVO> getMenuListByRoleId(Long roleId);
    List<MenuTreeVO> getMenuTree();
    void add(MenuDTO menuDTO);
    void edit(MenuEditDTO menuEditDTO);
    void delete(List<Long> ids);
    void editSort(List<MenuSortDTO> menuSortDTOList);
}

